/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://example.com/
Description: Child theme for Twenty Twenty-Five
Author: Your Name
Author URI: https://example.com/
Template: twentytwentyfive
Version: 1.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: twentytwentyfive-child
*/


:root :where(.wp-element-button:hover, .wp-block-button__link:hover) {
	background: #304232 !important;
	color: #fff !important;
}

h1, h2, h3, h4, h5, h6 {
	font-family: 'FatFrank', 'Montserrat', sans-serif;
	font-weight: 400;
	word-break: keep-all;
	word-wrap: normal !important;
	word-break: keep-all;
}
h1 a,
h2 a {
	text-decoration: none;
	color: #455a21;
}
h1 a:hover,
h2 a:hover {
	text-decoration: underline;
	color: #222;
}
/*
h3 {
	font-family: "Montserrat";
	font-weight: 800;
}
*/

body {
  font-size: 20px;;
  -webkit-font-smoothing: antialiased; /* Chrome, Safari */
  -moz-osx-font-smoothing: grayscale; /* Firefox */
}	
	
a {
	text-decoration-thickness: 1px !important;
	text-underline-offset: .1em;
}
a:where(:not(.wp-element-button)) {
    text-decoration: none;
}
strong {
	font-weight: 800;
}
p.strong{
	font-weight: 900;
}
p.is-style-all-caps strong {
	font-family: 'montserrat', Lato, sans-serif;
	font-weight: 700;
	letter-spacing: 0;
}
/* Focus styles */
:where(.wp-site-blocks *:focus) {
	outline-width: 1px;
	outline-style: dotted;
}

.alignwide {
  max-width: 1360px; /* match your wideSize */
  margin-left: auto;
  margin-right: auto;
}
/* Client Specific Styles */
.staggered-panel {
	margin-top: -40px;
	margin-bottom: -40px;
	z-index: 999999;
}

/* Utility Styles works with JS snippet in WPCode Snippets */
/* Fade In – Shared initial styles – works with JS in Code Snippets plugin */
/* Base animation state */

.is-style-fade-in,
.is-style-fade-up,
.is-style-fade-left,
.is-style-fade-right {
  opacity: 0;
  transition: opacity 0.8s ease, transform 0.8s ease;
}

/* Starting positions */

.is-style-fade-up {
  transform: translateY(40px);
}

.is-style-fade-left {
  transform: translateX(-40px);
}

.is-style-fade-right {
  transform: translateX(40px);
}

/* When visible */

.fade-visible {
  opacity: 1 !important;
  transform: none !important;
}


.google-map-button {
	padding
}
/* This turns all green highlights into eyebrow headings */
.has-inline-color.has-custom-gmc-green-color {
	display: inline-block;
	font-family: montserrat;
	margin-bottom: 10px;
	text-transform: uppercase;
	font-weight: 700;
	font-size: 1.6rem;
}

.uagb-post__text a:hover {
	color: #222 !important;
}
body .uagb-post-grid .uagb-post__author:not(:last-child)::after,
body .uagb-post-grid .uagb-post__date:not(:last-child)::after,
body .uagb-post-grid .uagb-post__comment:not(:last-child)::after {
	content: " |";
	vertical-align: top;
	align-self: center;
	margin: 0 0px 0 5px;
	line-height: 1;
}



/* Spectra Post List Taxonomy Term Hack */
html body .uagb-post-pagination-wrap a {
	background-color: #bb6125;
	color: #fff;
}

.uagb-post__taxonomy.default a {
	color: #333 !important;
}
/* Column Reverse */
body .no-gap {
	gap: 0;
}
body .gap-20 {
	gap: 20px;
}
body .no-margin {
	margin: 0 !important;
}


body .uppercase {
	text-transform: uppercase;
}
body .gform_wrapper.gravity-theme .ginput_counter {
	color: #000;
	font-size: .8em;
}

/* WP Overrides */
body .wp-block-quote cite {
	font-size: var(--wp--preset--font-size--large);
	font-style: normal;
	font-weight: 400;
}


.fancybox-pdf {
	font-size: large;
	font-weight: 800;
}
.wp-block-file__button.wp-element-button {
	border-radius: 3px;
	font-size: 13px;
	padding-top: 5px;
	padding-right: 10px;
	padding-bottom: 5px;
	padding-left: 10px;
	color: #b25517;
	background: #F4EFE0;
}
.wp-block-file::before {
	content: " • ";
	color: #b25517;
}

.entry-content .wp-block-list a {
	font-weight: 800;
}
.wp-block-latest-posts.wp-block-latest-posts__list li {
	clear: both;
	overflow-wrap: break-word;
	margin-bottom: 8px;
}
.wp-block-columns {
	gap: 2rem;
}

p a {
	font-weight: 800;
}

table {
	min-width: 600px;
	overflow: scroll;
}
th {
	background: #455a21;
	color: #fff;
}


body .wp-block-table.is-style-stripes tbody tr:nth-child(2n+1) {
	background-color: #f3f0e7;
}
footer.wp-block-template-part {
	margin-block-start: 0;
}

.wp-block-details summary {
	font-size: 1rem;
	color: var(--wp--preset--color--custom-orang) !important;
	font-weight: 700;
	width: auto;
	padding: 7px 0;
}
body .wp-block-accordion-heading__toggle-icon {
	font-size: 2rem;
	line-height: 0;
	margin: 0;
	padding: 0;
	font-weight: 100 !important;
	font-family: arial;
	height: auto;
	width: auto;
}

/* Header Styles */


header .search-icon {
	margin: -2px 0 0 15px;
	/* background: #cc0000; */
	padding: 6px 7px;
}

.fixed-header {
	position: fixed;
	z-index: 2;
	width: 100%;
}

.offset-header-logo .custom-logo {
	margin: -46px 0 -42px;
	width: 220px;
}
.scrolling .offset-header-logo .custom-logo {
	margin: -46px 0 -42px;
	width: 220px;
}
.wp-block-group.alignwide.is-content-justification-space-between.is-nowrap.is-layout-flex.wp-container-core-group-is-layout-7eca1117.wp-block-group-is-layout-flex {
	transition: ease-in-out .2s;
}
.scrolling .wp-block-group.alignwide.is-content-justification-space-between.is-nowrap.is-layout-flex.wp-container-core-group-is-layout-7eca1117.wp-block-group-is-layout-flex {
	padding-top: 10px !important;
	margin-top: 10px !important;
}
.custom-logo {
	transition: ease-in-out .2s;
}
.scrolling .custom-logo {
	width: 135px !important;
}
body .header-shadow {
	transition: ease-in-out .2s;
}
body .scrolling .header-shadow {
	box-shadow: none;
	background: #E3D8B3 !important;
	margin-top: 10px !important;
}
body.home .header-shadow {
	box-shadow: none;
	background: transparent !important;
	transition: ease-in-out .2s;
}
body.home .scrolling .header-shadow {
	box-shadow: none;
	background: #E3D8B3 !important;
	margin-top: 10px;
}

.wp-block-post-featured-image {
	margin-block-start: 0;	
}

/* meta buttons */
.btn.btn-submit.btn-submit-email,
.google-map-button a,
.meta-button p a {
	background: var(--wp--preset--color--custom-orang);
	color: #fff;
	background-color: var(--wp--preset--color--custom-orang);
	border-radius: 3px;
	color: var(--wp--preset--color--base);
	font-family: var(--wp--preset--font-family--lato);
	font-size: var(--wp--preset--font-size--small);
	font-style: normal;
	font-weight: 900;
	letter-spacing: 0.025rem;
	padding-top: var(--wp--preset--spacing--20);
	padding-right: var(--wp--preset--spacing--30);
	padding-bottom: var(--wp--preset--spacing--20);
	padding-left: var(--wp--preset--spacing--30);
	text-decoration: none;
	text-transform: uppercase;
}
.btn.btn-submit.btn-submit-email:hover,
.meta-button p a:hover {
	background: #222;
	color: #fff;
}
/* Add to Cart Buttons */
.single_add_to_cart_button.button.alt.wp-element-button,
.woocommerce ul.products li.product .button {
	background-color: #b3cc63;
	color: #000;
}
.single_add_to_cart_button.button.alt.wp-element-button:hover,
.woocommerce ul.products li.product .button:hover {
	background-color: #000;
	color: #fff;
}

/* Increase the bottom margin on submenus, so that the outline is visible. */
.wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item:not(:last-child) {
	margin-bottom: 3px;
}

/* Increase the outline offset on the parent menu items, so that the outline does not touch the text. */
.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
	outline-offset: 4px;
}

/* Remove outline offset from the submenus, otherwise the outline is visible outside the submenu container. */
.wp-block-navigation .wp-block-navigation-item ul.wp-block-navigation__submenu-container .wp-block-navigation-item__content {
	outline-offset: 0;
}

/* Custom Nav Buttons */
body .membership-nav-button a,
body .donate-nav-button a {
	background: #455a21 !important;
	padding: 10px 20px;
	text-decoration: none;
	border-radius: 3px;
	color: #fff !important;
}
body .donate-nav-button a {
	background: #BB6125 !important;
}
body .membership-nav-button a:hover,
body .donate-nav-button a:hover { 
	background: #222 !important;
}
ul.mega-sub-menu li li li li > ul.mega-sub-menu {
	background: #fff !important;
	border: 1px solid #eee !important;
	font-weight: 400 !important;
/* 	box-shadow: 1px 1px 20px rgba(0,0,0,0.05) !important; */
}
ul.mega-sub-menu li li li li > ul.mega-sub-menu a {
	font-weight: 400 !important;
}
.mega-current_page_item > a {
	color: #bb6125 !important;
}
.wp-block-group.alignwide.is-content-justification-space-between.is-layout-flex.wp-container-core-group-is-layout-92b5020c.wp-block-group-is-layout-flex {
	margin-top: 36px !important;
	transition: ease-in-out .2s;
}


.scrolling .wp-block-group.alignwide.is-content-justification-space-between.is-layout-flex.wp-container-core-group-is-layout-92b5020c.wp-block-group-is-layout-flex {
	margin-top: 10px !important;
}
 .offset-header-logo .custom-logo {
	transition: ease-in-out .2s;
}
.scrolling .offset-header-logo .custom-logo {
	margin: -40px 0 -42px;
	width: 135px;
}

/* mega submenu */
body #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-megamenu > ul.mega-sub-menu {
    z-index: 99999;
    border-radius: 0px;
/*     background: linear-gradient(to bottom, #f1f1f1, white); */
    border: 0;
    box-shadow: none;
/*     padding: 50px 25px 60px 25px; */
    position: absolute;
    width: 100vw;
    max-width: none;
/*     margin: 0 30px; */
/*     width: calc(100vw - 60px); */
}


/*
 * Progressive enhancement to reduce widows and orphans
 * https://github.com/WordPress/gutenberg/issues/55190
 */
h1, h2, h3, h4, h5, h6, blockquote, caption, figcaption, p {
	text-wrap: pretty;
}
/* Special Hero Styles */
body.page-id-377 .hero-content-container {
	padding-top: 0 !important;
}
.hero h1 {
	margin-top: 200px;
	text-shadow: 0 0 50px rgba(0,0,0,0.3), 0 0 10px rgba(0,0,0,0.4), 1px 1px 1px rgba(0,0,0,0.4);
}
.intro h2 {
	text-shadow: 0 0 10px rgba(0,0,0,0.21), 0 0 10px rgba(0,0,0,0), 1px 1px 1px rgba(0,0,0,0.4);
	letter-spacing: 0;
}
.intro a:not(.wp-block-button__link) {
	text-decoration: underline;
}
.intro a:hover {
	color: #000;
}

p.is-style-all-caps {
	letter-spacing: 1px;
	text-transform: uppercase;
	font-weight: 900;
	word-break: keep-all;
	word-wrap: normal;
}
body .hero h1.has-custom-2-font-size { 
	text-align: center;
}
/* Make child page hero text smaller */
body.page-child .hero h1.has-custom-1-font-size {
	font-size: var(--wp--preset--font-size--custom-2) !important;
}
body.page-child.featured-page .hero h1.has-custom-1-font-size {
	font-size: var(--wp--preset--font-size--custom-1) !important;
	text-align: center;
}
body.page-child.featured-page .hero {
	text-align: center !important;
}

body.featured-page .hero {
	text-align: center !important;
}
/* Hack for design change on one page (Find A Hike) */
body.parent-pageid-277.page-child .hero h1.has-custom-1-font-size {
	font-size: var(--wp--preset--font-size--custom-1) !important;
}



/*
 * Change the position of the more block on the front, by making it a block level element.
 * https://github.com/WordPress/gutenberg/issues/65934
*/
.more-link {
	display: block;
}


/* BRAND ELEMENTS */
.intro::after,
.rough-edge-white-bottom:after {
	content: " ";
	width: 100%;
	display: block;
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/white-rough-edge-top.svg") no-repeat bottom left;
	height: 20px;
}
.intro::before,
.rough-edge-green-top::before {
	content: " ";
	width: 100%;
	display: block;
	position: absolute;
	left: 0;
	right: 0;
	top: -28px;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/rough-edge-green-top-02.svg") no-repeat bottom center / cover;
	height: 30px;
}
.rough-edge-light-green-top::before {
	content: " ";
	width: 100%;
	display: block;
	position: absolute;
	left: 0;
	right: 0;
	top: -28px;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/03/rough-edge-light-green-top-03.svg") no-repeat bottom center / cover;
	height: 30px;
}
.beige-intro h2 {
	text-shadow: none;
}
.intro.beige-intro::before {
	content: " ";
	width: 100%;
	display: block;
	position: absolute;
	left: 0;
	right: 0;
	top: -15px;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/rough-edge-beige-top.svg") no-repeat bottom center / cover;
	height: 16px;
}


.intro.orange-intro::before,
.rough-edge-orange-top::before {
	content: " ";
	/* width: 100%; */
	display: block;
	position: absolute;
	left: 0;
	right: 0;
	top: -38px;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/03/rough-orange-top-edge.svg") no-repeat bottom center / cover;
	height: 40px;
}


.footer:before,
.rough-edge-white-top:before {
	content: " ";
	width: 100%;
	display: block;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/rough-white-top-edge.svg") no-repeat top left;
	height: 20px;
	z-index: 1;
}

.footer a {
	font-weight: 800;
}
.footer a:hover {
	color: #ffffff;
}

/* Ivpry Search */
body .astm-search-menu.is-menu.is-dropdown.menu-item {
	margin: -34px -30px 0 0;
	height: 30px;
	padding-bottom: 20px;
	z-index: 9999;
	width: 30px;
	position: absolute;
	right: 20px;
}

/* before after fonts */
.gutslider-label.after-label.vertical.icgbh__center,
.gutslider-label.before-label.vertical.icgbh__center {
	font-weight: 900;
	text-transform: uppercase;
}

/* Kadence */
.kb-splide .splide__arrow {
	background: #BB6125;
	opacity: 1;
}

/* Gravity Forms theme overrides */
body .gform_wrapper.gravity-theme .description,
body .gform_wrapper.gravity-theme .gfield_description,
body .gform_wrapper.gravity-theme .gsection_description,
body .gform_wrapper.gravity-theme .instruction {
	clear: both;
	font-family: inherit;
	font-size: 16px;
	letter-spacing: normal;
	line-height: inherit;
	padding-top: 13px;
	width: 100%;
}
body .gform_wrapper.gravity-theme .gfield_label {
	display: inline-block;
	font-size: 18px !important;
	font-weight: 900;
	margin-bottom: 8px;
	padding: 0;
}
body .gform_wrapper.gravity-theme .gfield_checkbox label,
body .gform_wrapper.gravity-theme .gfield_radio label {
	display: inline-block;
	font-size: 16px;
}

input.gform_button {
	background: #b25517 !important;
	color: #fff !important;
	padding: 10px 20px;
	font-weight: 700;
	text-transform: uppercase;
	border: 0;
}
body input.gform_button:hover {
	background: #000 !important;
}




body .gspb_meta_value {
	font-weight: 800;
}



body #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
	font-size: 1.3rem;
}

/* Rental Feed */
/*
body #cf-query {
	padding: 0 !important;
	padding-top: 0 !important;
	padding-bottom: 0 !important;
	margin: 0 !important;
}
body #cf-item-data-3 {
	margin: 0 !important;
	padding: 0 !important;
}
.inline-search > form #cf-query {
	padding: 0 !important;
	padding-top: 0 !important;
	margin: 0 !important;
}
.cf-grid-list.container-fluid {
	margin: 0;
	padding: 0;
}
html body .col-sm-12 {
	margin: 0 !important;
	padding: 0 !important;
}
*/

/* Spectra Modal */
.uagb-block-3a883d02.uagb-modal-popup.active .uagb-modal-popup-close {
	top: 20px;
	right: 20px;
}

/* Bloomerang */
body .email-registration-form .field input {
	padding: 4px;
	width: 100%;
	box-sizing: border-box;
	display: block;
}
body.single-hikes .section.contact h3 {
	font-size: var(--wp--preset--font-size--medium);
	font-weight: 700;
}


/* Greenshift */
body .slbCaption {
	display: none;
}

.gspb-dynamic-post-image img {
	max-width: 100%;
	height: auto;
}


body .search-filter-field * {
	box-sizing: border-box;
	word-break: keep-all;
}
.search-filter-label {
	font-weight: 900;
	color: var(--wp--preset--color--custom-orang);
}
/* Hike Details Page */
.hike-details {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0;
}
.hike-details > div {
	padding: 20px;
}

/* Row 1: first item spans all 3 columns */
.hike-details > div:nth-child(1) {
  grid-column: 1 / -1;
  border-bottom: 1px solid #b1b1b1;
  padding-bottom: 5px;
}
.hike-details > div:nth-child(2),
.hike-details > div:nth-child(3),
.hike-details > div:nth-child(5)  {
	border-right: 1px solid #b1b1b1;
}
.hike-details > div:nth-child(5),
.hike-details > div:nth-child(6)  {
	border-top: 1px solid #b1b1b1;
}
/* Row 2: items 2-4 naturally take 1 column each */

/* Row 3: item 5 = 1 column, item 6 spans remaining 2 columns */
.hike-details > :nth-child(5) {
  grid-column: 1;
}

.hike-details > :nth-child(6) {
  grid-column: 2 / -1;
}

/* ---------------------- */
/* Responsive for smaller screens */
/* ---------------------- */
@media (max-width:420px) {
  .hike-details {
    grid-template-columns: repeat(2,1fr); /* 2 columns */
  }

  /* Make all items full width on mobile */
  .hike-details > * {
    grid-column: 1 / -1 !important;
  }
}

@media (max-width:768px) {
	
	.mobile-column-reverse {
		flex-direction: column-reverse;
	}
	.mobile-row-reverse {
	    flex-direction: row-reverse;
	    display: flex;
	    flex-direction: column-reverse;
	}
	/* remove stagger offset on mobile */
	body .staggered-panel .stagger-image .wp-block-image {
		margin-top: 0 !important;
		margin-bottom: 0 !important;
	}
}
@media (max-width:1160px) {
	
	/* Relatively position header on mobile to allow scrolling */
	.fixed-header {
		background: #455a21;
		position: relative;
		z-index: 99999;
		width: 100%;
	}
	.offset-header-logo .custom-logo {
		margin: -46px 0 -42px;
		width: 150px;
	}
	body.home .header-shadow {
		box-shadow: none;
		background: linear-gradient(135deg,rgb(233,221,183) 0%,rgb(233,221,183) 100%) !important;
		transition: ease-in-out .2s;
	}
}

.gspb_meta_prefix {
	font-size: clamp(12px, 2vw, 16px) !important;
	word-break: keep-all !important;
}

.hike-details .gspb_meta_postfix {
	display: block !important;
	font-weight: 700;
}
.hike-details .gspb_meta_value {
	display: block !important;
	font-family: "Montserrat" , "FatFrank";
	font-weight: 800;
	margin: 10px 0;
}
.hike-details .gspb_meta_value p {
	margin: 0;
	padding: 0;
}

/* Single Hike Styles */
body:not(.single-hikes) .gspb-dynamic-post-image a:hover img {
	transform: scale(1.1);
}
.single-hikes hr.wp-block-separator {
	margin: 25px 0 25px !important;
	margin-block-start: 0;
	margin-block-end: 0;
}

/* Difficulty Icons */
.term-98 {
	background: url("assets/images/easy-icon.svg") no-repeat center top / contain; 
	display: block;
	padding-top: 52px;
	background-size: 100% 52px;
}

.term-99 {
	background: url("assets/images/moderate-icon.svg") no-repeat center top / contain; 
	display: block;
	padding-top: 52px;
	background-size: 100% 52px;
}

.term-75::before {
	display: block;
	content: " ";
	line-height: 1.2em;
	margin: 16px;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/difficulty-icon-difficult.svg") no-repeat center center / contain;
	height: 37px;
}

.gspb_id-gsbp-0efd5f2  .term-73::before {
	display: block;
	content: " ";
	line-height: 1.2em;
	margin: 16px;
	background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/difficulty-icon-difficult.svg") no-repeat center center / contain;
	height: 37px;
}

/* Trail Type Icons */
.term-84 {
	background: url("assets/images/loop-icon.svg") no-repeat center top / contain; 
	display: block;
	padding-top: 52px;
	background-size: 60% auto;
}
/* Out and Back Icon */
.term-83 {
	background: url("assets/images/out-and-back-icon.svg") no-repeat center top / contain; 
	display: block;
	padding-top: 52px;
	background-size: 100% 52px;
}
.gspb_id-gsbp-9a91d95  .term-73 {
	background: url("assets/images/point-to-point-icon.svg") no-repeat center top / contain; 
	display: block;
	padding-top: 52px;
	background-size: 100% 52px;
}
.term-85 {
	background: url("assets/images/overnight-itinerary-icon.svg") no-repeat center top / contain; 
	display: block;
	padding-top: 52px;
	background-size: 60% auto;
}

/* hike gallery */
/*
body .flex-gallery .gspb_gallery_grid.gspb_gallery_lightbox {
	display: flex;
	  flex-wrap: wrap;
}
body .flex-gallery .gspb_gallery_grid.gspb_gallery_lightbox img {
	width: 100%;
}
*/

/* Force flex instead of GreenShift grid */
.gspb-dynamic-acf-gallery.flex-gallery .gspb_gallery_grid {
  display: flex !important;
  flex-wrap: wrap !important;
  gap: 16px;
}

/* Each gallery item (anchors are the items) */
.gspb-dynamic-acf-gallery.flex-gallery .gspb_gallery_grid > .imagelink {
  flex: 0 0 calc(50% - 8px) !important;
  max-width: calc(50% - 8px) !important;
  display: block;
}

/* Last item fills remaining space */
.gspb-dynamic-acf-gallery.flex-gallery .gspb_gallery_grid > .imagelink:last-child {
  flex-grow: 1 !important;
}

/* Images behave */
.gspb-dynamic-acf-gallery.flex-gallery .gspb_gallery_grid img {
  width: 100%;
/*   height: 100%; */
  object-fit: cover;
  display: block;
}
.gspb-dynamic-acf-gallery.flex-gallery .gspb_gallery_grid > .imagelink {
  width: auto !important;
}
.gspb-dynamic-acf-gallery.flex-gallery .gspb_gallery_grid > .imagelink:last-child:nth-child(odd) {
/*   flex: 0 0 100% !important; */
  max-width: 100% !important;
}

/* Stride Customizations */
/* Progress bar */

/* Progress bar - see also JS code snippet */
/*
.fixed-header::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 40px;
  width: var(--scroll-progress, 0%);
  background-color: #455a21;
  z-index: -1;
  pointer-events: none;
  transition: width 0.1s linear;
}
.scrolling .fixed-header::after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: 40px;
	background-color: #364619;
	z-index: -2;
	pointer-events: none;
	transition: width 0.1s linear;
}
*/




/* page-promo-grid */
.uagb-block-2f43200e {
  background-size: 105% !important;
  transition: background-size 0.4s ease;
  overflow: hidden;
}

.uagb-block-2f43200e:hover {
  background-size: 115% !important;
}

.uagb-block-2f43200e {
  position: relative;
}

.uagb-block-2f43200e .uagb-heading-text a {
  position: absolute;
  inset: 0; /* top:0; right:0; bottom:0; left:0 */
  display: block;
  z-index: 2;
}







.gspb-dynamic-post-image {
  overflow: hidden;
}


.uagb-loop-post-inner .wp-block-uagb-container {
  position: relative;
}

.uagb-loop-post-inner .wp-block-uagb-container:hover {
  position: relative;
}

.uagb-loop-post-inner .uagb-heading-text a {
  position: static; /* reset */
}

.uagb-loop-post-inner .uagb-heading-text a::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
}

.uagb-loop-post-inner .uagb-heading-text {
  position: static;
}







/* HIDE Single Hike Page Region Buttons */
.single-hike-buttons .manchester-area-button,
.single-hike-buttons .camels-hump-button,
.single-hike-buttons .mount-mansfield-button,
.single-hike-buttons .killington-area-button,
.single-hike-buttons .promo-camels-hump-map {
	display: none;
}
/* REVEAL Single Hike Page Region Buttons */
.mount-mansfield-area-hike .single-hike-buttons .mount-mansfield-button,
.killington-area-hike .single-hike-buttons .killington-area-button,
.manchester-area-hike .single-hike-buttons .manchester-area-button,
.camels-hump-area-hike .single-hike-buttons .camels-hump-button {
	display: block;
}
/* HIDE Promos on Single Hike pages */
.promo-mansfield-map,
.mount-mansfield-area-hike .promo-long-trail-guide,
.promo-camels-hump-map,
.promo-northeast-kingdom-map,
.promo-killington-area-map {
	display: none;
}
/* REVEAL Promos on appropriate pages */
.promo-long-trail-guide,
.mount-mansfield-area-hike .promo-mansfield-map,
.camels-hump-area-hike .camels-hump-area-hike,
.northeast-kingdom-area-hike .promo-northeast-kingdom-map,
.killington-area-hike .promo-killington-area-map  {
	display: block;
}


/* PLUGIN CUSTOM STYLES */
.wp-block-genesis-blocks-gb-container.gb-block-container {
	margin-block-start: 0;
}

/* Greenshift */
.gspb_meta_prefix {
	font-weight: 800;
}


.gspb-dynamic-post-image a img {
	background: #000 !important;
	transition: ease-in-out .2s;
	transform: scale(1);
}


.gspb-dynamic-post-image a {
  position: relative;
  display: inline-block;
}

.gspb-dynamic-post-image a::before {
  content: "";
/*   background: url("https://greenmtnclbstg.wpenginepowered.com/wp-content/uploads/2026/02/long-trail-arrow-border.svg") no-repeat -200px 400px; */
  background-size: 100%;
  position: absolute;
  inset: 0;
  border-bottom: 15px solid #455A21;
/*   border-right: 15px solid #b25517; */
  clip-path: inset(0 100% 0 0);
  transition: clip-path 0.4s ease;
  pointer-events: none;
  z-index: 1;
 }

.gspb-dynamic-post-image a:hover::before {
  clip-path: inset(0 0 0 0);
}

/* ARCGis Container */
.arcgis-map .gspb_meta_value {
	width: 100%;
}


/* mega menu */

/* Allow mobile mega menu to scroll */
.mega-menu-wrap .mega-menu-toggle + .mega-menu {
    max-height: 100vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch; /* smooth scrolling on iOS */
}

#mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-megamenu > ul.mega-sub-menu,
#mega-menu-wrap-max_mega_menu_1 .mega-menu-toggle.mega-menu-open + #mega-menu-max_mega_menu_1 {
	z-index: -1;
}


body #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-item > a.mega-menu-link,
body #mega-menu-wrap-max_mega_menu_1 #mega-menu-max_mega_menu_1 > li.mega-menu-item > a.mega-menu-link:hover {
	font-family: 'montserrat', sans-serif;
	font-weight: 700;
}
.wp-block-gutsliders-any-content a {
	text-decoration: none !important;
}
.wp-block-gutsliders-any-content a:hover {
	color: #E1E667 !important;
}